Summary:	Fonts for TV programs (fbtv, motv, ttv, xawtv)
Summary(ru_RU.KOI8-R):     TV (fbtv, motv, ttv, xawtv)
Name:		tv-fonts
Version:	1.1
Release:	alt1
Source0:	http://bytesex.org/xawtv/%name-%version.tar.bz2
Group:		Video
License:	GPL
URL:		http://bytesex.org/xawtv
# Automatically added by buildreq on Wed May 07 2003
BuildRequires: XFree86-libs XFree86-utils

%description
Tv-fonts is a set of fonts, mainly used by xawtv.

They used to be bundled with xawtv but starting with version 3.75,
xawtv doesn't come with the fonts bundled any more.

So come tv-fonts.

This package is required by xawtv-common


%prep
%setup -q

%build
# to prevent make doing some xset stuff :
# Geoff -- only unset if DISPLAY is present or it will return 1 and
# build will barf.
[ -n "$DISPLAY" ] && unset DISPLAY
%make

%install
mkdir -p $RPM_BUILD_ROOT%_libdir/X11/fonts/misc/
install *.gz $RPM_BUILD_ROOT%_libdir/X11/fonts/misc/

cat <<EOF >> README

Tv-fonts is a set of fonts, mainly used by xawtv.

They used to be bundled with xawtv but starting with version 3.75,
xawtv does not come with the fonts bundled any more. 

So come tv-fonts.

This package is required by xawtv-common
EOF


%files
%defattr(-,root,root)
%doc README
%_libdir/X11/fonts/misc

%post
cd %_prefix/X11R6/lib/X11/fonts/misc
test -x %_prefix/X11R6/bin/mkfontdir && mkfontdir || true
if [ -f /var/lock/subsys/xfs ]; then
	service xfs restart || true
fi
test -n "$DISPLAY" && xset fp rehash || true


%postun
if [ "$1" = "0" ]; then
  a
  cd %_prefix/X11R6/lib/X11/fonts/misc
  test -x %_prefix/X11R6/bin/mkfontdir && mkfontdir || true
	if [ -f /var/lock/subsys/xfs ]; then
		service xfs restart || true
	fi
  test -n "$DISPLAY" && xset fp rehash || true
fi


%changelog
* Wed May 07 2003 Rider <rider@altlinux.ru> 1.1-alt1
- new version

* Fri Nov 22 2002 Rider <rider@altlinux.ru> 1.0-alt1
- first build for ALT Linux

* Sun Jul 28 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0-4mdk
- BuildRequires

* Mon Jul 01 2002 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0-3mdk
- Only unset DISPLAY in %%build if it is there -- or else unset returns
  1 and build will barf.

* Tue Jun 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-2mdk
- fix conflict with XFree86

* Tue Jun 25 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0-1mdk
- initial release
